Subject: bug#11356: automake 1.12 and (C) 2011

From: Eric Blake <[email-masked]>
Date: Fri, 27 Apr 2012 06:05:24 -0600

On 04/27/2012 03:18 AM, Stefano Lattarini wrote:
> tags 11356 + patch
> severity 11356 minor
> close 11356
> thanks
> 
> On 04/27/2012 05:30 AM, Peter Johansson wrote:
>> > Hello,
>> >
> Hi Peter, thanks for the report.
> 
>> > Just a tiny nit. After installing the new version (1.12) of
>> > automake I noticed that 'automake --version' outputs:
>> > 
>> > automake (GNU automake) 1.12
>> > Copyright (C) 2011 Free Software Foundation, Inc.
>> > 
>> > whereas I expected it to say 'Copyright (C) 2012...'
>> > 
> Fixed with the attached patch (pushed to maint).
> 
> Regards,
>   Stefano
> 

> +++ b/aclocal.in
> @@ -840,9 +840,8 @@ $output";
>    # name in the header.
>    $output = "# generated automatically by aclocal $VERSION -*- Autoconf -*-
>  
> -# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
> -# 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software Foundation,
> -# Inc.
> +# Copyright (C) 1996-2012 Free Software Foundation, Inc.

This makes sense,

> +
>  # This file is free software; the Free Software Foundation
>  # gives unlimited permission to copy and/or distribute it,
>  # with or without modifications, as long as this notice is preserved.
> @@ -936,7 +935,7 @@ sub version()
>  {
>    print <<EOF;
>  aclocal (GNU $PACKAGE) $VERSION
> -Copyright (C) 2011 Free Software Foundation, Inc.
> +Copyright (C) 2012 Free Software Foundation, Inc.

But this is still prone to error next year.  Since this is already a .in
file, and will be further processed by config.status and/or Makefile to
create the real aclocal executable, I suggest a more permanent solution,
by borrowing the same trick used by Autoconf.  Make this @RELEASE_YEAR@,
which is set by an AC_SUBST'd string that auto-updates itself at
configure time, instead of manually changing it each time a year rolls
around.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org